// 组织机构
// import * as organize from './organize/organize'
// // 字典
// import * as dictionary from './dictionary/dictionary'
// // 文件合并
// const merge = require('webpack-merge')

// const result = merge(
//   organize,
//   dictionary
// )

// export default result
import { request } from '@/utils/request'

// 获取用户信息
export const userInfoHead = () => { return request({ url: "/attendance/api/manage/userInfoHead",method: "post" }) }

// 获取当前按钮状态
export const getButtonState = () => { return request({ url: "/attendance/api/manage/getButtonState",method: "post" }) }

// 获取当天打卡信息
export const getTodaySignRecord = () => { return request({ url: "/attendance/api/manage/getTodaySignRecord",method: "post" }) }

// 打卡
export const signRecord = () => { return request({ url: "/attendance/api/manage/signRecord",method: "post" }) }

// 统计顶部数量
export const statisticsTop = (data) => { return request({ url: "/attendance/api/manage/statisticsTop/"+data,method: "post" }) }

// 统计
export const statistics = (data) => { return request({ url: "/attendance/api/manage/statistics/"+data,method: "post"}) }

// 获取用户当天上下班时间
export const getUserUpDownWorkTime = () => { return request({ url: "/attendance/api/manage/getUserUpDownWorkTime",method: "post" }) }

// 上传用户定位信息
export const uploadUserPosition = () => { return request({ url: "/attendance/api/manage/uploadUserPosition",method: "post" }) }

// 人员管理列表
export const userManageList = (data) => { return request({ url: "/attendance/api/manage/userManageList/"+data, method: "post" }) }

// 部门人员签到列表
export const userSignList = (data) => { return request({ url: "/attendance/api/manage/userSignList",method: "post",data: data }) }

// 工作轨迹
export const getTrack = (data) => { return request({ url: "/attendance/admin/manage/getTrack",method: "post",data: data }) }

// 获取项目
export const getProjectList = () => { return request({ url: "/attendance/api/manage/getProjectList", method: "post"}) }